QsciLexerAsm Class Reference

`#include <qscilexerasm.h>`

Inherits QsciLexer.

Inherited by QsciLexerMASM, and QsciLexerNASM.

## Public Types

enum | { Default = 0 , Comment = 1 , Number = 2 , DoubleQuotedString = 3 , Operator = 4 , Identifier = 5 , CPUInstruction = 6 , FPUInstruction = 7 , Register = 8 , Directive = 9 , DirectiveOperand = 11 , BlockComment = 12 , SingleQuotedString = 13 , UnclosedString = 14 , ExtendedInstruction = 16 , CommentDirective = 17 }

## Public Slots

virtual void | setFoldComments (bool fold)
virtual void | setFoldCompact (bool fold)
virtual void | setCommentDelimiter (QChar delimeter)
virtual void | setFoldSyntaxBased (bool syntax_based)
Public Slots inherited from QsciLexer
virtual void | setAutoIndentStyle (int autoindentstyle)
virtual void | setColor (const QColor &c, int style=-1)
virtual void | setEolFill (bool eoffill, int style=-1)
virtual void | setFont (const QFont &f, int style=-1)
virtual void | setPaper (const QColor &c, int style=-1)

## Public Member Functions

| QsciLexerAsm (QObject *parent=0)
virtual | ~QsciLexerAsm ()
QColor | defaultColor (int style) const
bool | defaultEolFill (int style) const
QFont | defaultFont (int style) const
QColor | defaultPaper (int style) const
const char * | keywords (int set) const
QString | description (int style) const
void | refreshProperties ()
bool | foldComments () const
bool | foldCompact () const
QChar | commentDelimiter () const
bool | foldSyntaxBased () const
Public Member Functions inherited from QsciLexer
| QsciLexer (QObject *parent=0)
virtual | ~QsciLexer ()
virtual const char * | language () const =0
virtual const char * | lexer () const
virtual int | lexerId () const
QsciAbstractAPIs * | apis () const
virtual const char * | autoCompletionFillups () const
virtual QStringList | autoCompletionWordSeparators () const
int | autoIndentStyle ()
virtual const char * | blockEnd (int *style=0) const
virtual int | blockLookback () const
virtual const char * | blockStart (int *style=0) const
virtual const char * | blockStartKeyword (int *style=0) const
virtual int | braceStyle () const
virtual bool | caseSensitive () const
virtual QColor | color (int style) const
virtual bool | eolFill (int style) const
virtual QFont | font (int style) const
virtual int | indentationGuideView () const
virtual int | defaultStyle () const
virtual QColor | paper (int style) const
QColor | defaultColor () const
QFont | defaultFont () const
QColor | defaultPaper () const
QsciScintilla * | editor () const
void | setAPIs (QsciAbstractAPIs *apis)
void | setDefaultColor (const QColor &c)
void | setDefaultFont (const QFont &f)
void | setDefaultPaper (const QColor &c)
virtual void | setEditor (QsciScintilla *editor)
bool | readSettings (QSettings &qs, const char *prefix="/Scintilla")
virtual int | styleBitsNeeded () const
virtual const char * | wordCharacters () const
bool | writeSettings (QSettings &qs, const char *prefix="/Scintilla") const

## Protected Member Functions

bool | readProperties (QSettings &qs, const QString &prefix)
bool | writeProperties (QSettings &qs, const QString &prefix) const
Protected Member Functions inherited from QsciLexer
QByteArray | textAsBytes (const QString &text) const
QString | bytesAsText (const char *bytes, int size) const

## Additional Inherited Members

Signals inherited from QsciLexer
void | colorChanged (const QColor &c, int style)
void | eolFillChanged (bool eolfilled, int style)
void | fontChanged (const QFont &f, int style)
void | paperChanged (const QColor &c, int style)
void | propertyChanged (const char *prop, const char *val)

## Detailed Description

The abstract QsciLexerAsm class encapsulates the Scintilla Asm lexer.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

This enum defines the meanings of the different styles used by the Asm lexer.

Enumerator
Default | The default.
Comment | A comment.
Number | A number.
DoubleQuotedString | A double-quoted string.
Operator | An operator.
Identifier | An identifier.
CPUInstruction | A CPU instruction.
FPUInstruction | An FPU instruction.
Register | A register.
Directive | A directive.
DirectiveOperand | A directive operand.
BlockComment | A block comment.
SingleQuotedString | A single-quoted string.
UnclosedString | The end of a line where a string is not closed.
ExtendedInstruction | An extended instruction.
CommentDirective | A comment directive.

## Constructor & Destructor Documentation

## QsciLexerAsm()

QsciLexerAsm::QsciLexerAsm | ( | QObject * | parent = 0 | ) |

Construct a QsciLexerAsm with parent parent. parent is typically the QsciScintilla instance.

Referenced by writeProperties().

## Member Function Documentation

## defaultColor()

QColor QsciLexerAsm::defaultColor | ( | int | style | ) | const

virtual

Returns the foreground colour of the text for style number style.

Reimplemented from QsciLexer.

## defaultEolFill()

bool QsciLexerAsm::defaultEolFill | ( | int | style | ) | const

virtual

Returns the end-of-line fill for style number style.

Reimplemented from QsciLexer.

## defaultFont()

QFont QsciLexerAsm::defaultFont | ( | int | style | ) | const

virtual

Returns the font for style number style.

Reimplemented from QsciLexer.

## defaultPaper()

QColor QsciLexerAsm::defaultPaper | ( | int | style | ) | const

virtual

Returns the background colour of the text for style number style.

See also
  defaultColor()

Reimplemented from QsciLexer.

## keywords()

const char * QsciLexerAsm::keywords | ( | int | set | ) | const

virtual

Returns the set of keywords for the keyword set set recognised by the lexer as a space separated string. Set 1 is normally used for CPU instructions. Set 2 is normally used for FPU instructions. Set 3 is normally used for register names. Set 4 is normally used for directives. Set 5 is normally used for directive operands. Set 6 is normally used for extended instructions.

Reimplemented from QsciLexer.

## description()

QString QsciLexerAsm::description | ( | int | style | ) | const

virtual

Returns the descriptive name for style number style. If the style is invalid for this language then an empty QString is returned. This is intended to be used in user preference dialogs.

Implements QsciLexer.

## refreshProperties()

void QsciLexerAsm::refreshProperties | ( |  | ) |

virtual

Causes all properties to be refreshed by emitting the propertyChanged() signal as required.

Reimplemented from QsciLexer.

## foldComments()

bool QsciLexerAsm::foldComments | ( |  | ) | const

Returns true if multi-line comment blocks can be folded.

See also
  setFoldComments()

## foldCompact()

bool QsciLexerAsm::foldCompact | ( |  | ) | const

Returns true if trailing blank lines are included in a fold block.

See also
  setFoldCompact()

## commentDelimiter()

QChar QsciLexerAsm::commentDelimiter | ( |  | ) | const

Returns the delimiter used by the COMMENT directive.

See also
  setCommentDelimiter()

## foldSyntaxBased()

bool QsciLexerAsm::foldSyntaxBased | ( |  | ) | const

Returns true if syntax-based folding is enabled.

See also
  setFoldSyntaxBased()

## setFoldComments

virtual void QsciLexerAsm::setFoldComments | ( | bool | fold | ) |

virtual slot

If fold is true then multi-line comment blocks can be folded. The default is true.

See also
  foldComments()

## setFoldCompact

virtual void QsciLexerAsm::setFoldCompact | ( | bool | fold | ) |

virtual slot

If fold is true then trailing blank lines are included in a fold block. The default is true.

See also
  foldCompact()

## setCommentDelimiter

virtual void QsciLexerAsm::setCommentDelimiter | ( | QChar | delimeter | ) |

virtual slot

delimiter is the character used for the COMMENT directive's delimiter. The default is '~'.

See also
  commentDelimiter()

## setFoldSyntaxBased

virtual void QsciLexerAsm::setFoldSyntaxBased | ( | bool | syntax_based | ) |

virtual slot

If syntax_based is true then syntax-based folding is enabled. The default is true.

See also
  foldSyntaxBased()

## readProperties()

bool QsciLexerAsm::readProperties | ( | QSettings & | qs,
|  | const QString & | prefix )

protected virtual

The lexer's properties are read from the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. true is returned if there is no error.

Reimplemented from QsciLexer.

## writeProperties()

bool QsciLexerAsm::writeProperties | ( | QSettings & | qs,
|  | const QString & | prefix ) const

protected virtual

The lexer's properties are written to the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. true is returned if there is no error.

Reimplemented from QsciLexer.

References QsciLexerAsm().